Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455954 - rtorrent or libtorrent crashes in konsole and gnome-terminal
Summary: rtorrent or libtorrent crashes in konsole and gnome-terminal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rtorrent
Version: 9
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Chris Chabot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-19 08:21 UTC by Thomas Janssen
Modified: 2009-04-12 06:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 497010 (view as bug list)
Environment:
Last Closed: 2008-12-23 17:53:36 UTC


Attachments (Terms of Use)
This is the screenshot in gnome-terminal. It looks exactly the same in Konsole. (deleted)
2008-07-19 08:23 UTC, Thomas Janssen
no flags Details
Ok, this is a better strace from gnome-terminal. (deleted)
2008-07-19 12:41 UTC, Thomas Janssen
no flags Details

Description Thomas Janssen 2008-07-19 08:21:09 UTC
Description of problem:
rtorrent or libtorrent crashes after a few minutes (konsole) or like 30 minutes
(gnome-terminal) runtime. This is a installation from a kde4-livecd of Fedora 9.
The system is uptodate until SatJul19. I will add a screenshot of it, because i
cant describe how it looks.

Version-Release number of selected component (if applicable):
rtorrent-0.7.8-3.fc9.i386
libtorrent-0.11.8-4.fc9.i386
gnome-terminal-2.22.2-1.fc9.i386
Konsole Version 2.0 on KDE 4.0.5

How reproducible:
Just start rtorrent and let it run for a while

Steps to Reproduce:
1. start rtorrent with some torrents in
2. wait (her it needs just up to 30 minutes)
3.
  
Actual results:
Like in the screenshot, crashing rtorrent

Expected results:
A rtorrent that works like before in F8, rock solid.

Additional info:
I will see if i can strace it.

Comment 1 Thomas Janssen 2008-07-19 08:23:26 UTC
Created attachment 312194 [details]
This is the screenshot in gnome-terminal. It looks exactly the same in Konsole.

Comment 2 Thomas Janssen 2008-07-19 10:49:04 UTC
This the strace output, there was a lot going on on my screen, but in the end
there was just this few lines left.

[thomas@dementia ~]$ rtorrent
) = 16
      ioctl(1, SNDCTL_TMR_STOP or TCSETSW, {B38400 opost isig icanon echo ...}) = 0
write(1, "Caught Segmentation fault, dumpi"..., 42Caught Segmentation fault,
dumping stack:
) = 42
futex(0xab1a74, FUTEX_WAKE_PRIVATE, 2147483647) = 0
write(1, "0 rtorrent [0x80637ac]\n", 230 rtorrent [0x80637ac]
) = 23
write(1, "1 rtorrent [0x806617c]\n", 231 rtorrent [0x806617c]
) = 23
write(1, "2 [0x110400]\n", 132 [0x110400]
)          = 13
write(1, "3 /usr/lib/libcurl.so.4(Curl_do+"..., 503
/usr/lib/libcurl.so.4(Curl_do+0xed) [0x399d20d]
) = 50
write(1, "4 /usr/lib/libcurl.so.4 [0x39acf"..., 364 /usr/lib/libcurl.so.4
[0x39acf5d]
) = 36
write(1, "5 /usr/lib/libcurl.so.4(curl_mul"..., 615
/usr/lib/libcurl.so.4(curl_multi_perform+0x59) [0x39ad2a9]
) = 61
write(1, "6 rtorrent [0x8088293]\n", 236 rtorrent [0x8088293]
) = 23
write(1, "7 rtorrent [0x808337a]\n", 237 rtorrent [0x808337a]
) = 23
write(1, "8 rtorrent [0x80642b8]\n", 238 rtorrent [0x80642b8]
) = 23
write(1, "9 /lib/libc.so.6(__libc_start_ma"..., 529
/lib/libc.so.6(__libc_start_main+0xe6) [0x9605d6]
) = 52
write(1, "10 rtorrent(_ZNSt8ios_base4InitD"..., 5410
rtorrent(_ZNSt8ios_base4InitD1Ev+0x51) [0x8052001]
) = 54
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
tgkill(27330, 27330, SIGABRT)           = 0
--- SIGABRT (Aborted) @ 0 (0) ---
+++ killed by SIGABRT +++
[thomas@dementia ~]$

I hope it is helpful. If you need more or the output of other commands let me know.

Comment 3 Thomas Janssen 2008-07-19 12:41:13 UTC
Created attachment 312201 [details]
Ok, this is a better strace from gnome-terminal.

Comment 4 Nikolay Vladimirov 2008-07-26 20:47:18 UTC
what version of libcurl are you using ? 

Comment 5 Nikolay Vladimirov 2008-07-26 21:01:15 UTC
I'm having the same crash. I noticed that downgrading curl to 7.17.1 the crash
doesn't happen. Not sure about this. I may be just a coincidence. Can you try this? 

Comment 6 Thomas Janssen 2008-07-28 19:59:50 UTC
Well.. Interesting is, i tested rtorrent on another Box
(libcurl-7.18.2-1.fc9.i386) and without my old rtorrent.rc with just 1 File
(community-respin) and it runs for hours now.
It seems it is related to the old rtorrent.rc (i`ve done copy/paste from F8 to
F9) or if there are to many torrents the same time (about 40-50).

I cant test it again on the Box that fails, because there is no more Fedora on
it. There was to much trouble on this Laptop with Fedora, so i changed to
another Linux Distro.
But rtorrent runs on the Desktopsystem with F9, no rtorrent.rc and just 1 torrent.

Comment 7 Michael Schwendt 2008-07-28 20:20:53 UTC
What does it look like if you get a full backtrace?
https://fedoraproject.org/wiki/StackTraces


Comment 8 Nikolay Vladimirov 2008-07-29 08:58:11 UTC
Ah, I'm running rtorrent with about 50 torrents for 2 days now with no problem.
Latest rawhide. I guess this can be closed since no one  can reproduce it and
provide a backtrace.

Comment 9 Nikolay Vladimirov 2008-12-23 17:53:36 UTC
Still no problem with fedora 10: 
libtorrent-0.12.4-1.fc10.x86_64
rtorrent-0.8.4-1.fc10.x86_64

I'm closing this. No need to be open since no one has complained for 4 months.

Comment 10 Shawn Baker 2009-04-11 20:39:59 UTC
I'm getting this issue on fully-updated Fedora 10. rtorrent will run for between 30 minutes and a few hours before crashing with SIGABRT. Here's the backtrace made by following the directions in the aforementioned link:

Thread 1 (Thread 0xb7fe8740 (LWP 3377)):
#0  0x003d8416 in __kernel_vsyscall ()
#1  0x005f4460 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x005f5e28 in abort () at abort.c:88
#3  0x00631fed in __libc_message (do_abort=2, fmt=0x70ce68 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#4  0x006383a4 in malloc_printerr (action=2, str=0x70cf60 "double free or corruption (!prev)", ptr=0xa530788) at malloc.c:5994
#5  0x0063a356 in __libc_free (mem=0xa530788) at malloc.c:3625
#6  0x04765b37 in PR_Free () from /lib/libnspr4.so
#7  0x00e382f8 in ?? () from /lib/libnsspem.so
#8  0x00e2679b in ?? () from /lib/libnsspem.so
#9  0x00e283ce in ?? () from /lib/libnsspem.so
#10 0x00e2c7f4 in ?? () from /lib/libnsspem.so
#11 0x00e342c9 in ?? () from /lib/libnsspem.so
#12 0x00e234ac in ?? () from /lib/libnsspem.so
#13 0x047d2ece in ?? () from /lib/libnss3.so
#14 0x047d3150 in PK11_CreateGenericObject () from /lib/libnss3.so
#15 0x06084949 in nss_load_cert () from /usr/lib/libcurl.so.4
#16 0x0608544c in Curl_nss_connect () from /usr/lib/libcurl.so.4
#17 0x0607c2f5 in Curl_ssl_connect_nonblocking () from /usr/lib/libcurl.so.4
#18 0x06057291 in https_connecting () from /usr/lib/libcurl.so.4
#19 0x060629c1 in Curl_protocol_connect () from /usr/lib/libcurl.so.4
#20 0x06076cb7 in multi_runsingle () from /usr/lib/libcurl.so.4
#21 0x060771ba in multi_socket () from /usr/lib/libcurl.so.4
#22 0x06077285 in curl_multi_socket_action () from /usr/lib/libcurl.so.4
#23 0x0808f5f8 in core::CurlStack::receive_action (this=0x81163a8, socket=0x87f8208, events=3377) at curl_stack.cc:93
#24 0x08091206 in core::CurlSocket::event_write (this=0x87f8208) at curl_socket.cc:118
#25 0x0054977c in torrent::PollEPoll::perform (this=0x811cdc8) at poll_epoll.cc:168
#26 0x0808be8b in core::PollManagerEPoll::poll (this=0x811cc18, timeout={m_time = 938917}) at poll_manager_epoll.cc:74
#27 0x0806b6aa in main (argc=1, argv=0xbffff234) at main.cc:318

Comment 11 Michael Schwendt 2009-04-12 06:25:43 UTC
To Shawn Baker:

This ticket is a closed one. Please open a new one. Your backtrace would be more detailed if you installed "nss-debuginfo" and "curl-debuginfo" e.g. by running "debuginfo-install -y nss curl", because the backtrace is deep into NSS.


Note You need to log in before you can comment on or make changes to this bug.